data {
    int N;
    int Res[N];
    real X[N];
    real min_sgm;
    real max_sgm;
}

parameters {
    real<lower = 0.0> sgm;
    real mu;
    real<lower = 0.0> C;
}

transformed parameters {
    vector[4] p[N];
    for (i in 1:N){
        p[i][1] = 1 - Phi((X[i] - mu + C) / sgm);
        p[i][2] = Phi((X[i] - mu + C) / sgm) - Phi((X[i] - mu) / sgm);
        p[i][3] = Phi((X[i] - mu) / sgm) - Phi((X[i] - mu - C) / sgm);
        p[i][4] = Phi((X[i] - mu - C) / sgm);
    }
}

model {
    sgm ~ uniform(min_sgm, max_sgm);
    for (i in 1:N)
        Res[i] ~ categorical(p[i]);
}
